> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok 视频 API

> 通过 /v1/videos 调用 xAI Grok Imagine Video。

# Grok 视频 API

| 说明 | 方法 | 路径 |
| - | - | - |
| 创建 | `POST` | `/v1/videos` |
| 查询 | `GET` | `/v1/videos/{task_id}` |

**API 主机：** `https://api.omniall.ai` · 鉴权 `Authorization: Bearer sk-...`。

常用模型（见[模型广场](https://omniall.ai/pricing)）：

* `grok-imagine-video-1.5-preview`
* `grok-imagine-video`

| 场景 | 关键字段 |
| - | - |
| 文生视频 | `prompt` + `seconds` + `aspect_ratio` + `resolution` |
| 单图生视频 | 增加 `image`（URL 或 Data URI） |
| 多图参考 | 增加 `reference_images`（**不要与 `image` 同时使用**） |

```bash theme={null}
curl -X POST "https://api.omniall.ai/v1/videos" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "grok-imagine-video",
    "prompt": "雨夜霓虹小巷倒影",
    "seconds": "6",
    "aspect_ratio": "16:9",
    "resolution": "720P"
  }'
```

完整说明见 **API Reference → 视频 → Grok 视频**。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.